import os
"""加单独的路径和后缀名"""
def list_files_and_folders(folder_path):
    print(f"Files and folders in {folder_path}:")

    # 列出文件夹
    for root, dirs, files in os.walk(folder_path):
        for dir_name in dirs:
            folder_full_path = os.path.join(root, dir_name)
            print(f"[Folder] {dir_name} - {folder_full_path}")

        # 列出文件
        for file_name in files:
            file_full_path = os.path.join(root, file_name)
            file_name, file_extension = os.path.splitext(file_name)
            print(f"[File] {file_name} - {file_full_path} - Extension: {file_extension}")

if __name__ == "__main__":
    target_folder = r"/Users/admin/Downloads/2022年度领导班子总结和干部个人述职报告的副本"
    list_files_and_folders(target_folder)
